interface test {
  char tboolean (in char inv, out char outv);
  short tshort (in short inv, out short outv);
  long tlong(in long inv, out long outv);
  float tfloat(in float inv, out float outv);
  double tdouble(in double inv, out double outv);
  double ttriple(in double inv, out double outv);
  string tstring(in string inv, out string outv);
};
